package com.djhk.uav.sysPolice.service;



import com.djhk.common.api.domain.SysPoliceFly;

import java.util.List;

public interface ISysPoliceFlyService {

    /**
     * 查询警员管理数据
     *
     * @param sysPoliceFly 警员信息
     * @return 警员信息集合
     */
    public List<SysPoliceFly> selectDeptList(SysPoliceFly sysPoliceFly);

    /**
     * 新增保存警员信息
     *
     * @param sysPoliceFly 警员信息
     * @return 结果
     */
    public int insertDept(SysPoliceFly sysPoliceFly);

    /**
     * 修改保存警员信息
     *
     * @param sysPoliceFly 警员信息
     * @return 结果
     */
    public int updateDept(SysPoliceFly sysPoliceFly);

    /**
     * 删除警员管理信息
     *
     * @param sysPoliceFlyId 警员ID
     * @return 结果
     */
    public int deleteDeptById(Long sysPoliceFlyId);

}
